## qtmobility 1.2.0

=== src/meegoinstalls/Makefile ===
PKG_NAME := qt-mobility
SPECFILE = $(addsuffix .spec, $(PKG_NAME))
YAMLFILE = $(addsuffix .yaml, $(PKG_NAME))

first: custom-help

include /usr/share/meego-packaging-tools/Makefile.common

custom-help: help
	@echo "The above are common MeeGo packaging targets."
	@echo "$(PKG_NAME) also has these additional targets:"
	@echo " spec-git                        Create spec file, with options appropriate for git"
	@echo " build-trunk-i686                Do a local i686 build against Trunk, without using OBS"
	@echo " build-trunk-testing-i686        Do a local i686 build against Trunk:Testing, without using OBS"

spec-git:
	specify --skip-scm --not-download --non-interactive

git-archive: spec-git
	@VER=$$(sed -n -r -e 's|^Version: +||p' $(SPECFILE));     \
	TARGZ=$$(sed -n -r                                        \
	    -e 's|^Source0:.*/([^/]+)$$|\1|'                      \
	    -e 's|%\{name\}|$(PKG_NAME)|'                         \
	    -e "s|%\{version\}|$$VER|"                            \
	    -e 's|.tar.gz||p'                                     \
	$(SPECFILE) );                                            \
	DIR="$$PWD";                                              \
	cd $$(git rev-parse --git-dir) &&                         \
	echo "Creating $$DIR/$$TARGZ.tar.gz ..." &&               \
	git archive HEAD --prefix=$$TARGZ/ --format=tar | gzip > "$$DIR/$$TARGZ.tar.gz"

build-no-obs = sudo build $(SPECFILE) --repository $1 --arch $2

build-no-obs-deps: /usr/bin/build git-archive

build-trunk-i686: build-no-obs-deps
	$(call build-no-obs,http://download.meego.com/live/Trunk/standard/,i686)

build-trunk-testing-i686: build-no-obs-deps
	$(call build-no-obs,http://download.meego.com/live/Trunk:/Testing/standard/,i686)

=== tools/vsexplorer/DESCRIPTION ===
A development helper tool to explore the Qt Extended Value Space.

=== debian/changelog ===
qtmobility (1.2.0-3ubuntu5) raring; urgency=low

  * Add depends on pulseaudio for qtmultimediakit1, required for operation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 19 Mar 2013 14:29:00 +0000

qtmobility (1.2.0-3ubuntu4b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:07:49 +0000

qtmobility (1.2.0-3ubuntu4) quantal; urgency=low

  * Update symbols files on all archs using pkgkde-symbolshelper

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Aug 2012 13:46:31 -0400

qtmobility (1.2.0-3ubuntu3) quantal; urgency=low

  * Fix libqtorganizer1.symbols and libqtcontacts1.symbols for arm* to fix
    FTBFS on those archs

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Aug 2012 11:10:23 -0400

qtmobility (1.2.0-3ubuntu2) quantal; urgency=low

  * Use multiarch library paths for libdeclarative-* now that the qt4-x11
    in Ubuntu supports multiarch QML import directories. (LP: #897547)
    - Bump libqt4-dev build-dep to 4:4.8.2-0ubuntu1, can be dropped next
      merge.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 29 May 2012 17:21:43 -0400

qtmobility (1.2.0-3ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
   - Remove libqtmessaging1 from debian/control and -dbg depends
   - Add .symbols files
   - Remove qmf-dev build-dependency, upstream recommended to build without QMF,
     disable libqtmessaging1 and libdeclarative-messaging packages
   - Remove usr/include/QtMessaging/ from qtmobility-dev
   - Remove libdeclarative-messaging from debian/control
   - Use non-multiarch locations for libs using QML's importsdir. The rest of
     the libraries are multiarch, but pending on changes from qt4-x11 the
     libdeclarative-* ones aren't yet. Can be dropped when qt4-x11 4:4.8.1-1
     is merged.
   - Fixes (LP: #826874, #935398)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 21 May 2012 23:40:21 -0400

qtmobility (1.2.0-3) unstable; urgency=low

  * Upload to Sid.
  * Update debian/control:
    - bump Qt build dependency to 4:4.8.1.
    - bump Standards-Version to 3.9.3 (no changes needed).
  * Update imports paths.
  * Add gcc-4.7_unistd.patch - fix ftbfs with GCC 4.7. (Closes: #667344)

 -- Fathi Boudra <fabo@debian.org>  Tue, 01 May 2012 21:44:58 +0300

qtmobility (1.2.0-1ubuntu2) precise; urgency=low

  * Adjust symbols files for more qreal subst magic for armel/armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 08 Dec 2011 09:31:13 -0700

qtmobility (1.2.0-1ubuntu1) precise; urgency=low

  * Merge with Debian, remaining changes:
   - Remove libqtmessaging1 from debian/control and -dbg depends
   - Add .symbols files
   - Remove qmf-dev build-dependency, upstream recommended to build without QMF,
     disable libqtmessaging1 and libdeclarative-messaging packages
   - Remove usr/include/QtMessaging/ from qtmobility-dev
   - Remove libdeclarative-messaging from debian/control

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Dec 2011 19:44:11 +0000

qtmobility (1.2.0-2) experimental; urgency=low

  [ Pino Toscano ]
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any

  [ Fathi Boudra ]
  * Convert the package to multiarch:
    - bump debian/compat to 9.
    - bump build dependency on debhelper >= 8.1.3~.
    - bump build dependency on libqt4-dev and libqt4-opengl-dev >= 4:4.8.0~.
    - add Multi-Arch: same and Pre-Depends: ${misc:Pre-Depends} fields to
      shared libraries packages.
    - update installed files to multiarch paths.
    - add support for DEB_HOST_MULTIARCH, needed for libdir and plugindir.
  * Update debian/control: build depends on gdb >= 7.3 for gdb_dwarf_index.
  * Add a set of patches, cherry-picked upstream, to fix build with Qt 4.8:
    - QTMOBILITY-790_subdirs_for_serviceframework-b90cee3.patch
    - Fix_metaobjectbuilder_build_errors_4.8_and_4.7-f102053.patch
    - Fix_4.8_and_4.7_build_for_linux-eff4af5.patch
    - Fix_4.8_4.7_linux_build-f9c87a7.patch

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 23 Sep 2011 09:29:49 +0300

qtmobility (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Drop revert_QTMOBILITY-614.patch.
  * Restore icheck and conflicts against icheck package.
  * Update debian/qtmobility-dev.install: add ndefhandlergen and update
    headers.

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 14:49:12 +0300

qtmobility (1.2.0~beta0+git3174-2) unstable; urgency=high

  * Do not ship /usr/bin/icheck for now. (Closes: #617725)
  * Urgency=high, transition stuff.

 -- Modestas Vainius <modax@debian.org>  Thu, 24 Mar 2011 15:36:18 +0200

qtmobility (1.2.0~beta0+git3174-1) unstable; urgency=low

  * New upstream snapshot based on master branch - Upload to Sid.
  * Remove patches:
    - ftbfs_multimedia_examples.patch - fixed upstream.
    - enable_pkgconfig_support.patch - fixed upstream.
    - qmf_2010w36_support.patch - merged upstream.
  * Add patches:
    - revert_QTMOBILITY-614.patch: revert commit 0fd9fc9 - It breaks 3rd party
      applications build.
  * Update debian/control:
    - add libblkid-dev and libudev-dev build dependencies.
    - move hal dependency to suggests.
    - add libdeclarative-connectivity, libdeclarative-feedback,
      libdeclarative-organizer and libqtconnectivity1 packages.
  * Update debian/rules:
    - add connectivity to the list of modules.
    - add -languages configure option.
    - remove pkgconfig fix - pkgconfig files aren't shipped undet Linux.
    - fix executable permissions files.
    - fix typo libs -> lib.
  * Update debian/*.install files.

 -- Fathi Boudra <fabo@debian.org>  Sun, 06 Mar 2011 14:15:40 +0200

=== debian/control ===
Source: qtmobility
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               gdb (>= 7.3),
               libasound2-dev [linux-any],
               libblkid-dev,
               libbluetooth-dev [linux-any],
               libgstreamer-plugins-base0.10-dev,
               libpulse-dev,
               libqt4-dev (>= 4:4.8.2-0ubuntu1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libudev-dev [linux-any],
               libx11-dev,
               libxext-dev,
               libxrandr-dev,
               libxv-dev,
               network-manager-dev [linux-any],
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.3
Section: libs
Homepage: http://labs.trolltech.com/page/Projects/QtMobility
Vcs-Git: git://git.debian.org/pkg-kde/qt/qtmobility.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtmobility.git;a=summary

Package: qtmobility-dev
Section: libdevel
Architecture: any
Depends: libqtconnectivity1 (= ${binary:Version}),
         libqtcontacts1 (= ${binary:Version}),
         libqtfeedback1 (= ${binary:Version}),
         libqtgallery1 (= ${binary:Version}),
         libqtlocation1 (= ${binary:Version}),
         libqtmultimediakit1 (= ${binary:Version}),
         libqtorganizer1 (= ${binary:Version}),
         libqtpublishsubscribe1 (= ${binary:Version}),
         libqtsensors1 (= ${binary:Version}),
         libqtserviceframework1 (= ${binary:Version}),
         libqtsysteminfo1 (= ${binary:Version}),
         libqtversit1 (= ${binary:Version}),
         libqtversitorganizer1 (= ${binary:Version}),
         servicefw,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: icheck
Description: APIs for mobile device functionality - development files
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Mobility libraries.

Package: libqtconnectivity1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Connectivity module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Connectivity API. It provides APIs for working with
 local devices.

Package: libqtcontacts1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Contacts module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API enabling clients to request contact data from
 local or remote backends.

Package: libqtfeedback1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Feedback module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Feedback API. It enables a client to control
 the vibration of the device or the piezo feedback from the screen.

Package: libqtgallery1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Document Gallery module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API for accessing collections of documents and media
 and their meta-data.

Package: libqtlocation1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Location module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Location API. It provides a library for distributing
 and receiving location data using arbitrary data sources.

#Package: libqtmessaging1
#Architecture: any
#Multi-Arch: same
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Suggests: qtmobility-l10n
#Description: Qt Mobility Messaging module
# Qt Mobility delivers a set of new APIs for mobile device functionality.
# .
# This package contains the Messaging API. It is a common interface for handling
# SMS, MMS, MIME Email and TNEF Email messages.

Package: libqtmultimediakit1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, pulseaudio
Suggests: qtmobility-l10n
Description: Qt Mobility MultimediaKit module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: libqtorganizer1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Organizer module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API for management of calendar, scheduling and
 personal data from local or remote backends. It includes the ability to create,
 edit, list, delete and lookup organizer information whether it is stored
 locally or remotely.

Package: libqtpublishsubscribe1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Publish and Subscribe module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Publish and Subscribe API (containing Value Space).
 It enables applications to read item values, navigate through and subscribe to
 change notifications.

Package: libqtsensors1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Sensors module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Sensors API. It provides access to sensors.

Package: libqtserviceframework1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hal, qtmobility-l10n
Description: Qt Mobility Service Framework module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to that allows clients to discover and
 instantiate arbitrary services.

Package: libqtsysteminfo1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility System Information module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to discover system related information and
 capabilities.

Package: libqtversit1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Versit (vCard) module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API to manage Versit documents, such as vCards.

Package: libqtversitorganizer1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Versit (Organizer) module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API to manage Versit documents, such as iCalendar
 documents. It interfaces the Organizer API and uses the same framework as for
 vCards.

Package: libdeclarative-connectivity
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Connectivity QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Connectivity QML plugin for QtDeclarative.

Package: libdeclarative-contacts
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Contacts QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Contacts QML plugin for QtDeclarative.

Package: libdeclarative-feedback
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Feedback QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Feedback QML plugin for QtDeclarative.

Package: libdeclarative-gallery
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Document Gallery QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Document Gallery QML plugin for QtDeclarative.

Package: libdeclarative-location
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Location QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Location QML plugin for QtDeclarative.

#Package: libdeclarative-messaging
#Architecture: any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Description: Qt Mobility Messaging QML plugin
# Qt Mobility delivers a set of new APIs for mobile device functionality.
# .
# This package contains the Messaging QML plugin for QtDeclarative.

Package: libdeclarative-multimedia
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Multimedia QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Multimedia QML plugin for QtDeclarative.

Package: libdeclarative-organizer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Organizer QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Organizer QML plugin for QtDeclarative.

Package: libdeclarative-publishsubscribe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Publish and Subscribe QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Publish and Subscribe QML plugin for QtDeclarative.

Package: libdeclarative-sensors
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Sensors QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Sensors QML plugin for QtDeclarative.

Package: libdeclarative-serviceframework
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility Service Framework QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Service Framework QML plugin for QtDeclarative.

Package: libdeclarative-systeminfo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility System Information QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the System Information QML plugin for QtDeclarative.

Package: servicefw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: qtmobility-dev (<< 1.0.2-2)
Description: Qt Mobility Service Framework tool
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Service Framework tool (servicefw). It allows
 to register services and make them available over the Service Framework.

Package: qtmobility-examples
Architecture: any
Section: x11
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Mobility examples

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# QMF environment variables should be set
export QMF_INCLUDEDIR := /usr/include/qmfclient
export QMF_LIBDIR := /usr/lib

%:
	dh $@ --parallel --list-missing --dbg-package=qtmobility-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	./configure \
	    -prefix "/usr" \
	    -headerdir "/usr/include" \
	    -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	    -bindir "/usr/bin" \
	    -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins" \
	    -demosdir "/usr/lib/qtmobility/demos" \
	    -examplesdir "/usr/lib/qtmobility/examples" \
	    -languages "ar cs da de es fr he hu ja pl pt ru sk sl sv zh_CN zh_TW" \
	    -examples \
	    -demos \
	    -modules "location contacts multimedia publishsubscribe versit messaging systeminfo serviceframework sensors gallery organizer feedback connectivity"

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp/usr/lib -type f -name '*.prl' \
		-exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d;s/\(QMAKE_PRL_LIBS =\).*/\1/" {} \;
	# Fix executable permissions
	find $(CURDIR)/debian/tmp/usr/lib/qtmobility -type f -perm /u+x,g+x,o+x \( -false \
		-o -name \*.png \
		-o -name \*.qml \
		-o -name \*.sci \
		-o -name \*.txt \
		-o -name qmldir \
		\) | xargs chmod -x

override_dh_auto_clean:
	dh_auto_clean
	rm -f \
	    .qmake.cache \
	    config.tests/networkmanager/networkmanager \
	    config.tests/qmf/qmf \
	    tools/tools.pro.user
	find \( -false \
	    -o -type f -name Makefile \
	    -o -type f -name \*.o \
	    -o -type f -name config.\* \
	    -o -type f -name mobility\*.prf \
	\) -delete
	rm -rf include lib

## qtmobility 1.2.2-1ubuntu1newyork7

=== debian/changelog ===
qtmobility (1.2.2-1ubuntu1newyork7) precise; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed changelog release name; 

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Wed, 20 Jun 2012 22:37:26 +0000

qtmobility (1.2.2-1ubuntu1newyork6) quantal; urgency=low

  * Fixed symbols list for armel packages; 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 20 Jun 2012 08:30:54 -0700

qtmobility (1.2.2-1ubuntu1newyork5) precise; urgency=low

  * Fixed debian package.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 19 Jun 2012 13:41:18 -0700

qtmobility (1.2.2-1ubuntu1newyork4) precise; urgency=low

  * Added phonon in the build dep. 

 -- Renato Araujo Oliviera Filho <renato.filho@canonical.com>  Tue, 19 Jun 2012 00:33:19 -0700

qtmobility (1.2.2-1ubuntu1newyork3) precise; urgency=low

  * Fixed package. 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 18 Jun 2012 16:38:11 -0700

qtmobility (1.2.2-1ubuntu1newyork1) precise; urgency=low

  * Release 1.2.2 import from git.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Fri, 15 Jun 2012 14:11:14 -0700

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
-               gdb (>= 7.3),
-               libasound2-dev [linux-any],
+Build-Depends: debhelper (>= 7.4.15),
+               libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
                libblkid-dev,
-               libbluetooth-dev [linux-any],
+               libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
                libgstreamer-plugins-base0.10-dev,
                libpulse-dev,
-               libqt4-dev (>= 4:4.8.2-0ubuntu1),
-               libqt4-opengl-dev (>= 4:4.8.1),
-               libudev-dev [linux-any],
+               libqt4-dev (>= 4:4.7.0~rc1),
+               libqt4-opengl-dev (>= 4:4.7.0~rc1),
+               libudev-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
                libx11-dev,
                libxext-dev,
                libxrandr-dev,
                libxv-dev,
-               network-manager-dev [linux-any],
-               pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.3
+               network-manager-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
+               pkg-kde-tools (>= 0.6.4),
+               libphonon-dev
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://labs.trolltech.com/page/Projects/QtMobility
 Vcs-Git: git://git.debian.org/pkg-kde/qt/qtmobility.git
@@ -53,8 +53,6 @@
 
 Package: libqtconnectivity1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Connectivity module
@@ -65,8 +63,6 @@
 
 Package: libqtcontacts1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Contacts module
@@ -77,8 +73,6 @@
 
 Package: libqtfeedback1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Feedback module
@@ -89,8 +83,6 @@
 
 Package: libqtgallery1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Document Gallery module
@@ -101,8 +93,6 @@
 
 Package: libqtlocation1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Location module
@@ -113,8 +103,6 @@
 
 #Package: libqtmessaging1
 #Architecture: any
-#Multi-Arch: same
-#Pre-Depends: ${misc:Pre-Depends}
 #Depends: ${misc:Depends}, ${shlibs:Depends}
 #Suggests: qtmobility-l10n
 #Description: Qt Mobility Messaging module
@@ -125,9 +113,7 @@
 
 Package: libqtmultimediakit1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, pulseaudio
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility MultimediaKit module
  Qt Mobility delivers a set of new APIs for mobile device functionality.
@@ -137,8 +123,6 @@
 
 Package: libqtorganizer1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Organizer module
@@ -151,8 +135,6 @@
 
 Package: libqtpublishsubscribe1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Publish and Subscribe module
@@ -164,8 +146,6 @@
 
 Package: libqtsensors1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Sensors module
@@ -175,8 +155,6 @@
 
 Package: libqtserviceframework1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: hal, qtmobility-l10n
 Description: Qt Mobility Service Framework module
@@ -187,8 +165,6 @@
 
 Package: libqtsysteminfo1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility System Information module
@@ -199,8 +175,6 @@
 
 Package: libqtversit1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Versit (vCard) module
@@ -210,8 +184,6 @@
 
 Package: libqtversitorganizer1
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Versit (Organizer) module
@@ -332,3 +304,22 @@
 Section: x11
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt Mobility examples
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains Qt Mobility examples.
+
+#Package: qtmobility-l10n
+#Architecture: all
+#Section: localization
+#Depends: ${misc:Depends}
+#Description: APIs for mobile device functionality - localization files
+# Qt Mobility delivers a set of new APIs for mobile device functionality.
+# .
+# This package contains Qt Mobility translations.
+
+Package: qtmobility-dbg
+Priority: extra
+Architecture: any
+Section: debug
+Depends: libqtconnectivity1 (= ${binary:Version}),
+         libqtcontacts1 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DH_VERBOSE=1
 
 # QMF environment variables should be set
 export QMF_INCLUDEDIR := /usr/include/qmfclient
@@ -16,9 +14,9 @@
 	./configure \
 	    -prefix "/usr" \
 	    -headerdir "/usr/include" \
-	    -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	    -libdir "/usr/lib" \
 	    -bindir "/usr/bin" \
-	    -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins" \
+	    -plugindir "/usr/lib/qt4/plugins" \
 	    -demosdir "/usr/lib/qtmobility/demos" \
 	    -examplesdir "/usr/lib/qtmobility/examples" \
 	    -languages "ar cs da de es fr he hu ja pl pt ru sk sl sv zh_CN zh_TW" \
@@ -31,7 +29,7 @@
 	find $(CURDIR)/debian/tmp/usr/lib -type f -name '*.prl' \
 		-exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d;s/\(QMAKE_PRL_LIBS =\).*/\1/" {} \;
 	# Fix executable permissions
-	find $(CURDIR)/debian/tmp/usr/lib/qtmobility -type f -perm /u+x,g+x,o+x \( -false \
+	find $(CURDIR)/debian/tmp/usr/lib/ -type f -perm /u+x,g+x,o+x \( -false \
 		-o -name \*.png \
 		-o -name \*.qml \
 		-o -name \*.sci \
